<md-content layout="column" layout-fill>

  <head-component layout="row"></head-component>
  <content-component layout="row" flex></content-component>
  <bottom-component layout="row">Foot Component</bottom-component>

</md-content>
